---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    kubectl.kubernetes.io/default-container: etcd
    kubernetes.io/config.hash: 505c7efa34ae676864def680a74d5db8
    kubernetes.io/config.mirror: 505c7efa34ae676864def680a74d5db8
    kubernetes.io/config.seen: "2025-10-27T11:53:00.120606980Z"
    kubernetes.io/config.source: file
    target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
  creationTimestamp: "2025-10-27T11:53:38Z"
  labels:
    app: etcd
    etcd: "true"
    k8s-app: etcd
    revision: "10"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/default-container: {}
          f:kubernetes.io/config.hash: {}
          f:kubernetes.io/config.mirror: {}
          f:kubernetes.io/config.seen: {}
          f:kubernetes.io/config.source: {}
          f:target.workload.openshift.io/management: {}
        f:labels:
          .: {}
          f:app: {}
          f:etcd: {}
          f:k8s-app: {}
          f:revision: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"57bb5833-a74c-4057-baf2-c85959c41eff"}: {}
      f:spec:
        f:containers:
          k:{"name":"etcd"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_STATIC_POD_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:livenessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":2379,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
              k:{"containerPort":2380,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
              k:{"containerPort":9978,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
            f:readinessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:startupProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/manifests"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-resources"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/etcd/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"etcd-metrics"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_STATIC_POD_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":9979,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-resources"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/etcd/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"etcd-readyz"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":9980,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/log/etcd/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"etcd-rev"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/etcd"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"etcdctl"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_STATIC_POD_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/manifests"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-resources"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/etcd/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:initContainers:
          .: {}
          k:{"name":"etcd-ensure-env-vars"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"ALL_ETCD_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_CIPHER_SUITES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_DATA_DIR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ELECTION_TIMEOUT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_ENABLE_PPROF"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_MAX_LEARNERS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_HEARTBEAT_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_INITIAL_CLUSTER_STATE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_QUOTA_BACKEND_BYTES"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_SOCKET_REUSE_ADDRESS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCD_TLS_MIN_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_API"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CACERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_CERT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_ENDPOINTS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ETCDCTL_KEY"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_IP"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
          k:{"name":"etcd-resources-copy"}:
            .: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/kubernetes/static-pod-resources"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/usr/local/bin"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"setup"}:
            .: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/var/log/etcd"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:nodeName: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"cert-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"config-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"data-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"etcd-auto-backup-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"log-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"resource-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"static-pod-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"usr-local-bin"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kubelet
    operation: Update
    time: "2025-10-27T11:53:38Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:initContainerStatuses: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.46.248.42"}:
            .: {}
            f:ip: {}
          k:{"ip":"2620:52:0:2ef8::2a"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-27T12:17:30Z"
  name: etcd-cnvqe-071.lab.eng.tlv2.redhat.com
  namespace: openshift-etcd
  ownerReferences:
  - apiVersion: v1
    controller: true
    kind: Node
    name: cnvqe-071.lab.eng.tlv2.redhat.com
    uid: 57bb5833-a74c-4057-baf2-c85959c41eff
  resourceVersion: "37616"
  uid: 4b7031c4-035c-4919-816d-abfb76d6cf33
spec:
  containers:
  - command:
    - /bin/bash
    - -c
    - trap TERM INT; sleep infinity & wait
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    - name: ETCD_STATIC_POD_VERSION
      value: "10"
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    name: etcdctl
    resources:
      requests:
        cpu: 10m
        memory: 60Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/manifests
      name: static-pod-dir
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      etcdctl member list || true

      # this has a non-zero return code if the command is non-zero.  If you use an export first, it doesn't and you
      # will succeed when you should fail.
      ETCD_INITIAL_CLUSTER=$(discover-etcd-initial-cluster \
        --cacert=/etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt \
        --cert=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --key=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --endpoints=${ALL_ETCD_ENDPOINTS} \
        --data-dir=/var/lib/etcd \
        --target-peer-url-host=${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST} \
        --target-name=cnvqe-071.lab.eng.tlv2.redhat.com)
      export ETCD_INITIAL_CLUSTER

      # we cannot use the "normal" port conflict initcontainer because when we upgrade, the existing static pod will never yield,
      # so we do the detection in etcd container itself.
      echo -n "Waiting for ports 2379, 2380 and 9978 to be released."
      time while [ -n "$(ss -Htan '( sport = 2379 or sport = 2380 or sport = 9978 )')" ]; do
        echo -n "."
        sleep 1
      done

      export ETCD_NAME=${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME}
      env | grep ETCD | grep -v NODE

      set -x
      # See https://etcd.io/docs/v3.4.0/tuning/ for why we use ionice
      exec nice -n -19 ionice -c2 -n0 etcd \
        --logger=zap \
        --log-level=info \
        --experimental-initial-corrupt-check=true \
        --snapshot-count=10000 \
        --initial-advertise-peer-urls=https://${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}:2380 \
        --cert-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --key-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --trusted-ca-file=/etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt \
        --client-cert-auth=true \
        --peer-cert-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --peer-key-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --peer-trusted-ca-file=/etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt \
        --peer-client-cert-auth=true \
        --advertise-client-urls=https://${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}:2379 \
        --listen-client-urls=https://0.0.0.0:2379,unixs://${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}:0 \
        --listen-peer-urls=https://0.0.0.0:2380 \
        --metrics=extensive \
        --listen-metrics-urls=https://0.0.0.0:9978 ||  mv /etc/kubernetes/etcd-backup-dir/etcd-member.yaml /etc/kubernetes/manifests
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    - name: ETCD_STATIC_POD_VERSION
      value: "10"
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    livenessProbe:
      failureThreshold: 5
      httpGet:
        path: healthz
        port: 9980
        scheme: HTTPS
      periodSeconds: 5
      successThreshold: 1
      timeoutSeconds: 30
    name: etcd
    ports:
    - containerPort: 2379
      hostPort: 2379
      name: etcd
      protocol: TCP
    - containerPort: 2380
      hostPort: 2380
      name: etcd-peer
      protocol: TCP
    - containerPort: 9978
      hostPort: 9978
      name: etcd-metrics
      protocol: TCP
    readinessProbe:
      failureThreshold: 5
      httpGet:
        path: readyz
        port: 9980
        scheme: HTTPS
      periodSeconds: 5
      successThreshold: 1
      timeoutSeconds: 30
    resources:
      requests:
        cpu: 300m
        memory: 600Mi
    securityContext:
      privileged: true
    startupProbe:
      failureThreshold: 18
      httpGet:
        path: readyz
        port: 9980
        scheme: HTTPS
      initialDelaySeconds: 10
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 1
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/manifests
      name: static-pod-dir
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      export ETCD_NAME=${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME}

      exec nice -n -18 etcd grpc-proxy start \
        --endpoints https://${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST}:9978 \
        --metrics-addr https://0.0.0.0:9979 \
        --listen-addr 127.0.0.1:9977 \
        --advertise-client-url ""  \
        --key /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --key-file /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-metrics-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --cert /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --cert-file /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-metrics-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --cacert /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt \
        --trusted-ca-file /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/metrics-ca-bundle.crt \
        --listen-cipher-suites TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256 \
        --tls-min-version $(ETCD_TLS_MIN_VERSION)
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    - name: ETCD_STATIC_POD_VERSION
      value: "10"
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    name: etcd-metrics
    ports:
    - containerPort: 9979
      hostPort: 9979
      name: proxy-metrics
      protocol: TCP
    resources:
      requests:
        cpu: 40m
        memory: 200Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      exec nice -n -18 cluster-etcd-operator readyz \
        --target=https://localhost:2379 \
        --listen-port=9980 \
        --serving-cert-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-cnvqe-071.lab.eng.tlv2.redhat.com.crt \
        --serving-key-file=/etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-serving-cnvqe-071.lab.eng.tlv2.redhat.com.key \
        --client-cert-file=$(ETCDCTL_CERT) \
        --client-key-file=$(ETCDCTL_KEY) \
        --client-cacert-file=$(ETCDCTL_CACERT) \
        --listen-cipher-suites TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256 \
        --listen-tls-min-version=$(ETCD_TLS_MIN_VERSION)
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    imagePullPolicy: IfNotPresent
    name: etcd-readyz
    ports:
    - containerPort: 9980
      hostPort: 9980
      name: readyz
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/log/etcd/
      name: log-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      cluster-etcd-operator rev \
        --endpoints=$(ALL_ETCD_ENDPOINTS) \
        --client-cert-file=$(ETCDCTL_CERT) \
        --client-key-file=$(ETCDCTL_KEY) \
        --client-cacert-file=$(ETCDCTL_CACERT)
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    imagePullPolicy: IfNotPresent
    name: etcd-rev
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/lib/etcd
      name: data-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostNetwork: true
  initContainers:
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      echo -n "Fixing etcd log permissions."
      mkdir -p /var/log/etcd  && chmod 0600 /var/log/etcd
      echo -n "Fixing etcd auto backup permissions."
      mkdir -p /var/lib/etcd-auto-backup  && chmod 0600 /var/lib/etcd-auto-backup
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    name: setup
    resources:
      requests:
        cpu: 5m
        memory: 50Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/log/etcd
      name: log-dir
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      : "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST?not set}"
      : "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME?not set}"
      : "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP?not set}"

      # check for ipv4 addresses as well as ipv6 addresses with extra square brackets
      if [[ "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}" != "${NODE_IP}" && "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}" != "[${NODE_IP}]" ]]; then
        # echo the error message to stderr
        echo "Expected node IP to be ${NODE_IP} got ${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP}" >&2
        exit 1
      fi

      # check for ipv4 addresses as well as ipv6 addresses with extra square brackets
      if [[ "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST}" != "${NODE_IP}" && "${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST}" != "[${NODE_IP}]" ]]; then
        # echo the error message to stderr
        echo "Expected etcd url host to be ${NODE_IP} got ${NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST}" >&2
        exit 1
      fi
    env:
    - name: ALL_ETCD_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_API
      value: "3"
    - name: ETCDCTL_CACERT
      value: /etc/kubernetes/static-pod-certs/configmaps/etcd-all-bundles/server-ca-bundle.crt
    - name: ETCDCTL_CERT
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.crt
    - name: ETCDCTL_ENDPOINTS
      value: https://10.46.248.134:2379,https://10.46.248.41:2379,https://10.46.248.42:2379
    - name: ETCDCTL_KEY
      value: /etc/kubernetes/static-pod-certs/secrets/etcd-all-certs/etcd-peer-cnvqe-071.lab.eng.tlv2.redhat.com.key
    - name: ETCD_CIPHER_SUITES
      value: TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384,TLS_CHACHA20_POLY1305_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
    - name: ETCD_DATA_DIR
      value: /var/lib/etcd
    - name: ETCD_ELECTION_TIMEOUT
      value: "1000"
    - name: ETCD_ENABLE_PPROF
      value: "true"
    - name: ETCD_EXPERIMENTAL_MAX_LEARNERS
      value: "3"
    - name: ETCD_EXPERIMENTAL_WARNING_APPLY_DURATION
      value: 200ms
    - name: ETCD_EXPERIMENTAL_WATCH_PROGRESS_NOTIFY_INTERVAL
      value: 5s
    - name: ETCD_HEARTBEAT_INTERVAL
      value: "100"
    - name: ETCD_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    - name: ETCD_INITIAL_CLUSTER_STATE
      value: existing
    - name: ETCD_QUOTA_BACKEND_BYTES
      value: "8589934592"
    - name: ETCD_SOCKET_REUSE_ADDRESS
      value: "true"
    - name: ETCD_TLS_MIN_VERSION
      value: TLS1.2
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-070.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.41
    - name: NODE_cnvqe_070_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.41
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-071.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.42
    - name: NODE_cnvqe_071_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.42
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_NAME
      value: cnvqe-072.lab.eng.tlv2.redhat.com
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_ETCD_URL_HOST
      value: 10.46.248.134
    - name: NODE_cnvqe_072_lab_eng_tlv2_redhat_com_IP
      value: 10.46.248.134
    - name: NODE_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    name: etcd-ensure-env-vars
    resources:
      requests:
        cpu: 10m
        memory: 60Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
  - command:
    - /bin/sh
    - -c
    - |
      #!/bin/sh
      set -euo pipefail

      rm -f $(grep -l '^### Created by cluster-etcd-operator' /usr/local/bin/*)
      cp -p /etc/kubernetes/static-pod-certs/configmaps/etcd-scripts/*.sh /usr/local/bin
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imagePullPolicy: IfNotPresent
    name: etcd-resources-copy
    resources:
      requests:
        cpu: 10m
        memory: 60Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /usr/local/bin
      name: usr-local-bin
  nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /etc/kubernetes/manifests
      type: ""
    name: static-pod-dir
  - hostPath:
      path: /etc/kubernetes/static-pod-resources/etcd-pod-10
      type: ""
    name: resource-dir
  - hostPath:
      path: /etc/kubernetes/static-pod-resources/etcd-certs
      type: ""
    name: cert-dir
  - hostPath:
      path: /var/lib/etcd
      type: ""
    name: data-dir
  - hostPath:
      path: /usr/local/bin
      type: ""
    name: usr-local-bin
  - hostPath:
      path: /var/log/etcd
      type: ""
    name: log-dir
  - hostPath:
      path: /etc/kubernetes
      type: ""
    name: config-dir
  - hostPath:
      path: /var/lib/etcd-auto-backup
      type: ""
    name: etcd-auto-backup-dir
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:17:11Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:17:17Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:17:30Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:17:30Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:17:07Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://6922f38627b46dd6d3d3b272bd5eeb08522ba968cf882b208113bdfab055d134
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: etcd
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:17:18Z"
    volumeMounts:
    - mountPath: /etc/kubernetes/manifests
      name: static-pod-dir
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  - containerID: cri-o://99d853e086e151b72bd49f84098e9a4a62fd7813d17bc75afdbe72ec3d51da9b
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: etcd-metrics
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:17:19Z"
    volumeMounts:
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  - containerID: cri-o://7df2488a1570f23dbe577d0db0c10b63a448f4acbb5d8ceb1a2aeb58d9d3ec4e
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    lastState: {}
    name: etcd-readyz
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:17:19Z"
    volumeMounts:
    - mountPath: /var/log/etcd/
      name: log-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
  - containerID: cri-o://bc3a7fa88dd881a36734dd8bcf8138cda09c40f487fefc38a31b342cfeb7d45e
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6f55be5730058cd9e8d0b6a48c93c32ba858337f9be948b6c1b1c36706b167d3
    lastState: {}
    name: etcd-rev
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:17:20Z"
    volumeMounts:
    - mountPath: /var/lib/etcd
      name: data-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
  - containerID: cri-o://bb178157dc5c49a79cbc7c0bf50e7d7678b7b02b721864d5c94c10cc6457f53e
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: etcdctl
    ready: true
    restartCount: 1
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:17:18Z"
    volumeMounts:
    - mountPath: /etc/kubernetes/manifests
      name: static-pod-dir
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /var/lib/etcd/
      name: data-dir
  hostIP: 10.46.248.42
  hostIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  initContainerStatuses:
  - containerID: cri-o://0f16ef505060766d8d2833437f6861b9b960109e26ae439707385deda46d265b
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: setup
    ready: true
    restartCount: 1
    started: false
    state:
      terminated:
        containerID: cri-o://0f16ef505060766d8d2833437f6861b9b960109e26ae439707385deda46d265b
        exitCode: 0
        finishedAt: "2025-10-27T12:17:10Z"
        reason: Completed
        startedAt: "2025-10-27T12:17:10Z"
    volumeMounts:
    - mountPath: /var/log/etcd
      name: log-dir
  - containerID: cri-o://de923056e18c93dd3c087ada3a3dbb7915cc69c660c88518bbcd9bd24b929f2e
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: etcd-ensure-env-vars
    ready: true
    restartCount: 1
    started: false
    state:
      terminated:
        containerID: cri-o://de923056e18c93dd3c087ada3a3dbb7915cc69c660c88518bbcd9bd24b929f2e
        exitCode: 0
        finishedAt: "2025-10-27T12:17:14Z"
        reason: Completed
        startedAt: "2025-10-27T12:17:14Z"
  - containerID: cri-o://343bd8b7ba94f914ffaefacdcbef381a6d118fd668358ae1149a8905dec63c29
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b4a78f0777185887e5ac0ecb0287f648cbeada980476d9efc6f252c6479eb2c6
    lastState: {}
    name: etcd-resources-copy
    ready: true
    restartCount: 1
    started: false
    state:
      terminated:
        containerID: cri-o://343bd8b7ba94f914ffaefacdcbef381a6d118fd668358ae1149a8905dec63c29
        exitCode: 0
        finishedAt: "2025-10-27T12:17:16Z"
        reason: Completed
        startedAt: "2025-10-27T12:17:16Z"
    volumeMounts:
    - mountPath: /etc/kubernetes/static-pod-resources
      name: resource-dir
    - mountPath: /etc/kubernetes/static-pod-certs
      name: cert-dir
    - mountPath: /usr/local/bin
      name: usr-local-bin
  phase: Running
  podIP: 10.46.248.42
  podIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  qosClass: Burstable
  startTime: "2025-10-27T12:17:07Z"
